List KYC reviews (alias)
curl --request GET \
--url https://app.mlm-platform.com/api/v1/admin/kyc/pending \
--header 'x-tenant-api-key: <api-key>'import requests
url = "https://app.mlm-platform.com/api/v1/admin/kyc/pending"
headers = {"x-tenant-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-tenant-api-key': '<api-key>'}};
fetch('https://app.mlm-platform.com/api/v1/admin/kyc/pending', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"reviews": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"name": "<string>",
"givenName": "<string>",
"surname": "<string>",
"registeredAt": "2023-11-07T05:31:56Z"
},
"status": "<string>",
"provider": "<string>",
"documentCount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"page": 123,
"limit": 123,
"total": 123,
"totalPages": 123,
"hasNext": true,
"hasPrev": true
}
}Admin KYC
List KYC reviews (alias)
Alias of GET /api/v1/admin/kyc.
GET
/
api
/
v1
/
admin
/
kyc
/
pending
List KYC reviews (alias)
Authorizations
Tenant API key for authentication. Keys are scoped to specific environments (LIVE or SANDBOX). Obtain keys from the admin dashboard.
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100Available options:
PENDING, APPROVED, REJECTED ⌘I